Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::switch_node::choice_exposedfield Class Reference

Inheritance diagram for openvrml::vrml97_node::switch_node::choice_exposedfield:

[legend]
List of all members.

## Detailed Description

choice exposedField implementation.

For internal use only.

## Public Member Functions

| choice_exposedfield (switch_node &node)
| Construct.
virtual | ~choice_exposedfield () throw ()
| Destroy.

## Private Member Functions

virtual void | event_side_effect (const mfnode &choice, double timestamp) throw (std::bad_alloc)
| Process event.

## Constructor & Destructor Documentation

openvrml::vrml97_node::switch_node::choice_exposedfield::choice_exposedfield | ( | switch_node & | node | ) | `[explicit]`

Construct.

Parameters:

  | node | switch_node.

openvrml::vrml97_node::switch_node::choice_exposedfield::~choice_exposedfield | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

void openvrml::vrml97_node::switch_node::choice_exposedfield::event_side_effect | ( | const mfnode & | choice,
|  | double | timestamp
| ) | throw (std::bad_alloc)`[private, virtual]`

Process event.

Parameters:

  | choice | choice nodes.
  | timestamp | the current time.

Exceptions:

  | std::bad_alloc | if memory allocation fails.